// source: v1/chat_private/chat.proto
/**
 * @fileoverview
 * @enhanceable
 * @suppress {messageConventions} JS Compiler reports an error if a variable or
 *     field starts with 'MSG_' and isn't a translatable message.
 * @public
 */
// GENERATED CODE -- DO NOT EDIT!

var jspb = require('google-protobuf');
var goog = jspb;
var global = Function('return this')();

var v1_chat_common_pb = require('../../v1/chat/common_pb.js');
goog.object.extend(proto, v1_chat_common_pb);
var v1_chat_enum_pb = require('../../v1/chat/enum_pb.js');
goog.object.extend(proto, v1_chat_enum_pb);
var v1_chat_model_pb = require('../../v1/chat/model_pb.js');
goog.object.extend(proto, v1_chat_model_pb);
var v1_chat_user_pb = require('../../v1/chat/user_pb.js');
goog.object.extend(proto, v1_chat_user_pb);
goog.exportSymbol('proto.fcp.chat.v1.chat_private.AddMessagesRequest', null, global);
goog.exportSymbol('proto.fcp.chat.v1.chat_private.CreateRequest', null, global);
goog.exportSymbol('proto.fcp.chat.v1.chat_private.ObjectType', null, global);
goog.exportSymbol('proto.fcp.chat.v1.chat_private.Tag', null, global);
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.chat.v1.chat_private.Tag = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.chat.v1.chat_private.Tag, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.chat.v1.chat_private.Tag.displayName = 'proto.fcp.chat.v1.chat_private.Tag';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.chat.v1.chat_private.CreateRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.chat.v1.chat_private.CreateRequest.repeatedFields_, null);
};
goog.inherits(proto.fcp.chat.v1.chat_private.CreateRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.chat.v1.chat_private.CreateRequest.displayName = 'proto.fcp.chat.v1.chat_private.CreateRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.chat.v1.chat_private.AddMessagesRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.chat.v1.chat_private.AddMessagesRequest.repeatedFields_, null);
};
goog.inherits(proto.fcp.chat.v1.chat_private.AddMessagesRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.chat.v1.chat_private.AddMessagesRequest.displayName = 'proto.fcp.chat.v1.chat_private.AddMessagesRequest';
}



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.chat.v1.chat_private.Tag.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.chat.v1.chat_private.Tag.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.chat.v1.chat_private.Tag} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.chat.v1.chat_private.Tag.toObject = function(includeInstance, msg) {
  var f, obj = {
    objectType: jspb.Message.getFieldWithDefault(msg, 1, 0),
    objectId: jspb.Message.getFieldWithDefault(msg, 2, ""),
    createdAtUnix: jspb.Message.getFieldWithDefault(msg, 3, 0),
    productType: jspb.Message.getFieldWithDefault(msg, 4, 0),
    customerName: jspb.Message.getFieldWithDefault(msg, 5, ""),
    supplierName: jspb.Message.getFieldWithDefault(msg, 6, "")
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.chat.v1.chat_private.Tag}
 */
proto.fcp.chat.v1.chat_private.Tag.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.chat.v1.chat_private.Tag;
  return proto.fcp.chat.v1.chat_private.Tag.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.chat.v1.chat_private.Tag} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.chat.v1.chat_private.Tag}
 */
proto.fcp.chat.v1.chat_private.Tag.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {!proto.fcp.chat.v1.chat_private.ObjectType} */ (reader.readEnum());
      msg.setObjectType(value);
      break;
    case 2:
      var value = /** @type {string} */ (reader.readString());
      msg.setObjectId(value);
      break;
    case 3:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setCreatedAtUnix(value);
      break;
    case 4:
      var value = /** @type {number} */ (reader.readInt32());
      msg.setProductType(value);
      break;
    case 5:
      var value = /** @type {string} */ (reader.readString());
      msg.setCustomerName(value);
      break;
    case 6:
      var value = /** @type {string} */ (reader.readString());
      msg.setSupplierName(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.chat.v1.chat_private.Tag.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.chat.v1.chat_private.Tag.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.chat.v1.chat_private.Tag} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.chat.v1.chat_private.Tag.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getObjectType();
  if (f !== 0.0) {
    writer.writeEnum(
      1,
      f
    );
  }
  f = message.getObjectId();
  if (f.length > 0) {
    writer.writeString(
      2,
      f
    );
  }
  f = message.getCreatedAtUnix();
  if (f !== 0) {
    writer.writeInt64(
      3,
      f
    );
  }
  f = message.getProductType();
  if (f !== 0) {
    writer.writeInt32(
      4,
      f
    );
  }
  f = message.getCustomerName();
  if (f.length > 0) {
    writer.writeString(
      5,
      f
    );
  }
  f = message.getSupplierName();
  if (f.length > 0) {
    writer.writeString(
      6,
      f
    );
  }
};


/**
 * optional ObjectType object_type = 1;
 * @return {!proto.fcp.chat.v1.chat_private.ObjectType}
 */
proto.fcp.chat.v1.chat_private.Tag.prototype.getObjectType = function() {
  return /** @type {!proto.fcp.chat.v1.chat_private.ObjectType} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {!proto.fcp.chat.v1.chat_private.ObjectType} value
 * @return {!proto.fcp.chat.v1.chat_private.Tag} returns this
 */
proto.fcp.chat.v1.chat_private.Tag.prototype.setObjectType = function(value) {
  return jspb.Message.setProto3EnumField(this, 1, value);
};


/**
 * optional string object_id = 2;
 * @return {string}
 */
proto.fcp.chat.v1.chat_private.Tag.prototype.getObjectId = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 2, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.chat.v1.chat_private.Tag} returns this
 */
proto.fcp.chat.v1.chat_private.Tag.prototype.setObjectId = function(value) {
  return jspb.Message.setProto3StringField(this, 2, value);
};


/**
 * optional int64 created_at_unix = 3;
 * @return {number}
 */
proto.fcp.chat.v1.chat_private.Tag.prototype.getCreatedAtUnix = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 3, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.chat.v1.chat_private.Tag} returns this
 */
proto.fcp.chat.v1.chat_private.Tag.prototype.setCreatedAtUnix = function(value) {
  return jspb.Message.setProto3IntField(this, 3, value);
};


/**
 * optional int32 product_type = 4;
 * @return {number}
 */
proto.fcp.chat.v1.chat_private.Tag.prototype.getProductType = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 4, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.chat.v1.chat_private.Tag} returns this
 */
proto.fcp.chat.v1.chat_private.Tag.prototype.setProductType = function(value) {
  return jspb.Message.setProto3IntField(this, 4, value);
};


/**
 * optional string customer_name = 5;
 * @return {string}
 */
proto.fcp.chat.v1.chat_private.Tag.prototype.getCustomerName = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 5, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.chat.v1.chat_private.Tag} returns this
 */
proto.fcp.chat.v1.chat_private.Tag.prototype.setCustomerName = function(value) {
  return jspb.Message.setProto3StringField(this, 5, value);
};


/**
 * optional string supplier_name = 6;
 * @return {string}
 */
proto.fcp.chat.v1.chat_private.Tag.prototype.getSupplierName = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 6, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.chat.v1.chat_private.Tag} returns this
 */
proto.fcp.chat.v1.chat_private.Tag.prototype.setSupplierName = function(value) {
  return jspb.Message.setProto3StringField(this, 6, value);
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.chat.v1.chat_private.CreateRequest.repeatedFields_ = [3,4];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.chat.v1.chat_private.CreateRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.chat.v1.chat_private.CreateRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.chat.v1.chat_private.CreateRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.chat.v1.chat_private.CreateRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    type: jspb.Message.getFieldWithDefault(msg, 1, 0),
    caption: jspb.Message.getFieldWithDefault(msg, 2, ""),
    usersList: jspb.Message.toObjectList(msg.getUsersList(),
    v1_chat_user_pb.User.toObject, includeInstance),
    messagesList: (f = jspb.Message.getRepeatedField(msg, 4)) == null ? undefined : f,
    tag: (f = msg.getTag()) && proto.fcp.chat.v1.chat_private.Tag.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.chat.v1.chat_private.CreateRequest}
 */
proto.fcp.chat.v1.chat_private.CreateRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.chat.v1.chat_private.CreateRequest;
  return proto.fcp.chat.v1.chat_private.CreateRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.chat.v1.chat_private.CreateRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.chat.v1.chat_private.CreateRequest}
 */
proto.fcp.chat.v1.chat_private.CreateRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {!proto.fcp.chat.v1.chat.ChatType} */ (reader.readEnum());
      msg.setType(value);
      break;
    case 2:
      var value = /** @type {string} */ (reader.readString());
      msg.setCaption(value);
      break;
    case 3:
      var value = new v1_chat_user_pb.User;
      reader.readMessage(value,v1_chat_user_pb.User.deserializeBinaryFromReader);
      msg.addUsers(value);
      break;
    case 4:
      var value = /** @type {string} */ (reader.readString());
      msg.addMessages(value);
      break;
    case 5:
      var value = new proto.fcp.chat.v1.chat_private.Tag;
      reader.readMessage(value,proto.fcp.chat.v1.chat_private.Tag.deserializeBinaryFromReader);
      msg.setTag(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.chat.v1.chat_private.CreateRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.chat.v1.chat_private.CreateRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.chat.v1.chat_private.CreateRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.chat.v1.chat_private.CreateRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getType();
  if (f !== 0.0) {
    writer.writeEnum(
      1,
      f
    );
  }
  f = message.getCaption();
  if (f.length > 0) {
    writer.writeString(
      2,
      f
    );
  }
  f = message.getUsersList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      3,
      f,
      v1_chat_user_pb.User.serializeBinaryToWriter
    );
  }
  f = message.getMessagesList();
  if (f.length > 0) {
    writer.writeRepeatedString(
      4,
      f
    );
  }
  f = message.getTag();
  if (f != null) {
    writer.writeMessage(
      5,
      f,
      proto.fcp.chat.v1.chat_private.Tag.serializeBinaryToWriter
    );
  }
};


/**
 * optional fcp.chat.v1.chat.ChatType type = 1;
 * @return {!proto.fcp.chat.v1.chat.ChatType}
 */
proto.fcp.chat.v1.chat_private.CreateRequest.prototype.getType = function() {
  return /** @type {!proto.fcp.chat.v1.chat.ChatType} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {!proto.fcp.chat.v1.chat.ChatType} value
 * @return {!proto.fcp.chat.v1.chat_private.CreateRequest} returns this
 */
proto.fcp.chat.v1.chat_private.CreateRequest.prototype.setType = function(value) {
  return jspb.Message.setProto3EnumField(this, 1, value);
};


/**
 * optional string caption = 2;
 * @return {string}
 */
proto.fcp.chat.v1.chat_private.CreateRequest.prototype.getCaption = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 2, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.chat.v1.chat_private.CreateRequest} returns this
 */
proto.fcp.chat.v1.chat_private.CreateRequest.prototype.setCaption = function(value) {
  return jspb.Message.setProto3StringField(this, 2, value);
};


/**
 * repeated fcp.chat.v1.chat.User users = 3;
 * @return {!Array<!proto.fcp.chat.v1.chat.User>}
 */
proto.fcp.chat.v1.chat_private.CreateRequest.prototype.getUsersList = function() {
  return /** @type{!Array<!proto.fcp.chat.v1.chat.User>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_chat_user_pb.User, 3));
};


/**
 * @param {!Array<!proto.fcp.chat.v1.chat.User>} value
 * @return {!proto.fcp.chat.v1.chat_private.CreateRequest} returns this
*/
proto.fcp.chat.v1.chat_private.CreateRequest.prototype.setUsersList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 3, value);
};


/**
 * @param {!proto.fcp.chat.v1.chat.User=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.chat.v1.chat.User}
 */
proto.fcp.chat.v1.chat_private.CreateRequest.prototype.addUsers = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 3, opt_value, proto.fcp.chat.v1.chat.User, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.chat.v1.chat_private.CreateRequest} returns this
 */
proto.fcp.chat.v1.chat_private.CreateRequest.prototype.clearUsersList = function() {
  return this.setUsersList([]);
};


/**
 * repeated string messages = 4;
 * @return {!Array<string>}
 */
proto.fcp.chat.v1.chat_private.CreateRequest.prototype.getMessagesList = function() {
  return /** @type {!Array<string>} */ (jspb.Message.getRepeatedField(this, 4));
};


/**
 * @param {!Array<string>} value
 * @return {!proto.fcp.chat.v1.chat_private.CreateRequest} returns this
 */
proto.fcp.chat.v1.chat_private.CreateRequest.prototype.setMessagesList = function(value) {
  return jspb.Message.setField(this, 4, value || []);
};


/**
 * @param {string} value
 * @param {number=} opt_index
 * @return {!proto.fcp.chat.v1.chat_private.CreateRequest} returns this
 */
proto.fcp.chat.v1.chat_private.CreateRequest.prototype.addMessages = function(value, opt_index) {
  return jspb.Message.addToRepeatedField(this, 4, value, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.chat.v1.chat_private.CreateRequest} returns this
 */
proto.fcp.chat.v1.chat_private.CreateRequest.prototype.clearMessagesList = function() {
  return this.setMessagesList([]);
};


/**
 * optional Tag tag = 5;
 * @return {?proto.fcp.chat.v1.chat_private.Tag}
 */
proto.fcp.chat.v1.chat_private.CreateRequest.prototype.getTag = function() {
  return /** @type{?proto.fcp.chat.v1.chat_private.Tag} */ (
    jspb.Message.getWrapperField(this, proto.fcp.chat.v1.chat_private.Tag, 5));
};


/**
 * @param {?proto.fcp.chat.v1.chat_private.Tag|undefined} value
 * @return {!proto.fcp.chat.v1.chat_private.CreateRequest} returns this
*/
proto.fcp.chat.v1.chat_private.CreateRequest.prototype.setTag = function(value) {
  return jspb.Message.setWrapperField(this, 5, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.chat.v1.chat_private.CreateRequest} returns this
 */
proto.fcp.chat.v1.chat_private.CreateRequest.prototype.clearTag = function() {
  return this.setTag(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.chat.v1.chat_private.CreateRequest.prototype.hasTag = function() {
  return jspb.Message.getField(this, 5) != null;
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.chat.v1.chat_private.AddMessagesRequest.repeatedFields_ = [2];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.chat.v1.chat_private.AddMessagesRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.chat.v1.chat_private.AddMessagesRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.chat.v1.chat_private.AddMessagesRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.chat.v1.chat_private.AddMessagesRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    topic: jspb.Message.getFieldWithDefault(msg, 1, ""),
    messagesList: (f = jspb.Message.getRepeatedField(msg, 2)) == null ? undefined : f
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.chat.v1.chat_private.AddMessagesRequest}
 */
proto.fcp.chat.v1.chat_private.AddMessagesRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.chat.v1.chat_private.AddMessagesRequest;
  return proto.fcp.chat.v1.chat_private.AddMessagesRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.chat.v1.chat_private.AddMessagesRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.chat.v1.chat_private.AddMessagesRequest}
 */
proto.fcp.chat.v1.chat_private.AddMessagesRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {string} */ (reader.readString());
      msg.setTopic(value);
      break;
    case 2:
      var value = /** @type {string} */ (reader.readString());
      msg.addMessages(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.chat.v1.chat_private.AddMessagesRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.chat.v1.chat_private.AddMessagesRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.chat.v1.chat_private.AddMessagesRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.chat.v1.chat_private.AddMessagesRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getTopic();
  if (f.length > 0) {
    writer.writeString(
      1,
      f
    );
  }
  f = message.getMessagesList();
  if (f.length > 0) {
    writer.writeRepeatedString(
      2,
      f
    );
  }
};


/**
 * optional string topic = 1;
 * @return {string}
 */
proto.fcp.chat.v1.chat_private.AddMessagesRequest.prototype.getTopic = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 1, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.chat.v1.chat_private.AddMessagesRequest} returns this
 */
proto.fcp.chat.v1.chat_private.AddMessagesRequest.prototype.setTopic = function(value) {
  return jspb.Message.setProto3StringField(this, 1, value);
};


/**
 * repeated string messages = 2;
 * @return {!Array<string>}
 */
proto.fcp.chat.v1.chat_private.AddMessagesRequest.prototype.getMessagesList = function() {
  return /** @type {!Array<string>} */ (jspb.Message.getRepeatedField(this, 2));
};


/**
 * @param {!Array<string>} value
 * @return {!proto.fcp.chat.v1.chat_private.AddMessagesRequest} returns this
 */
proto.fcp.chat.v1.chat_private.AddMessagesRequest.prototype.setMessagesList = function(value) {
  return jspb.Message.setField(this, 2, value || []);
};


/**
 * @param {string} value
 * @param {number=} opt_index
 * @return {!proto.fcp.chat.v1.chat_private.AddMessagesRequest} returns this
 */
proto.fcp.chat.v1.chat_private.AddMessagesRequest.prototype.addMessages = function(value, opt_index) {
  return jspb.Message.addToRepeatedField(this, 2, value, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.chat.v1.chat_private.AddMessagesRequest} returns this
 */
proto.fcp.chat.v1.chat_private.AddMessagesRequest.prototype.clearMessagesList = function() {
  return this.setMessagesList([]);
};


/**
 * @enum {number}
 */
proto.fcp.chat.v1.chat_private.ObjectType = {
  UNSPECIFIED: 0,
  DEAL: 1,
  FAST_DEAL: 2
};

goog.object.extend(exports, proto.fcp.chat.v1.chat_private);
